GET /posts/all

trashnothing.com

Summary: List all posts
Operation ID: get_all_posts
Auth: unknown
Description

This endpoint provides an easy way to get a feed of all the publicly published posts on trash nothing. It provides access to all publicly published offer and wanted posts from the last 30 days. The posts are sorted by date (newest first). <br /><br /> There are fewer options for filtering, sorting and searching posts with this endpoint but there is no 1,000 post limit and posts that are crossposted to multiple groups are not merged together in the response. In most cases, crossposted posts are easy to detect because they have the same user_id, title and content.

Parameters (6)

date_max (string, query, required)

Only posts older than this UTC date and time will be returned. The UTC date and time used must be within a day or less of date_min. And the date and time must be rounded to the nearest second.

date_min (string, query, required)

Only posts newer than or equal to this UTC date and time will be returned. The UTC date and time used must be within a day or less of date_max. And the date and time must be within the last 30 days. And the date and time must be rounded to the nearest second.

device_pixel_ratio (number, query, optional, default: 1)

Client device pixel ratio used to determine thumbnail size (default 1.0).

page (integer, query, optional, default: 1)

The page of posts to return.

Constraints: {'minimum': 1}

per_page (integer, query, optional, default: 20)

The number of posts to return per page (must be >= 1 and <= 50).

Constraints: {'minimum': 1, 'maximum': 50}

types (string, query, required)

A comma separated list of the post types to return. The available post types are: offer, wanted

No probe data for this endpoint yet.